package com.example.demo.map;

import android.os.Bundle;
import android.support.v4.app.FragmentActivity;
import android.widget.Toast;

import com.google.android.gms.maps.CameraUpdateFactory;
import com.google.android.gms.maps.GoogleMap;
import com.google.android.gms.maps.MapFragment;
import com.google.android.gms.maps.model.CameraPosition;
import com.google.android.gms.maps.model.LatLng;
import com.google.android.gms.maps.model.Marker;
import com.google.android.gms.maps.model.MarkerOptions;

public class MainActivity extends FragmentActivity {

	private GoogleMap googleMap;
	
	 static final LatLng DIEEI = new LatLng(37.524940, 15.073690);
	
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        
        try {
            // Loading map
            initilizeMap();
 
        } catch (Exception e) {
            e.printStackTrace();
        }
        
     // latitude and longitude

       
        //Focalizziamo la mappa su un punto prefissato
        googleMap.moveCamera(CameraUpdateFactory.newLatLngZoom(DIEEI, 5));
        
        //Aggiungiamo un marler
        Marker dieei = googleMap.addMarker(new MarkerOptions().position(DIEEI).title("DIEEI"));
        
    }
    
    private void initilizeMap() {
        if (googleMap == null) {
            googleMap = ((MapFragment) getFragmentManager().findFragmentById(
                    R.id.map)).getMap();
 
            // check if map is created successfully or not
            if (googleMap == null) {
                Toast.makeText(getApplicationContext(),
                        "Sorry! unable to create maps", Toast.LENGTH_SHORT)
                        .show();
            }
        }
        
        
    } 
    
    @Override
    protected void onResume() {
        super.onResume();
        initilizeMap();
    }

}